Bug 220323 - anaconda picks qla2322 instead qla2400 on x64
anaconda picks qla2322 instead qla2400 on x64
Status: CLOSED DUPLICATE of bug 202267
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: hwdata (Show other bugs)
4.4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-20 08:46 EST by Hans-Helmar Althaus
Modified: 2007-11-16 20:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-23 11:30:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans-Helmar Althaus 2006-12-20 08:46:35 EST
Description of problem:

on x64 Systems the qla2322 FC-Driver is choosen instead of 
qla2400at least on x86_64 Systems

Version-Release number of selected component (if applicable):

anaconda on RHEL4.4 or pci-id driver mapping

How reproducible:

Install RHEL4.4 on Opteron-Server with qla2460
Comment 1 Bill Nottingham 2006-12-20 15:37:25 EST
We could remove the ids from pcitable, and just go off of what's in the drivers.
Comment 2 Hans-Helmar Althaus 2006-12-20 17:52:50 EST
I am not sure about the origin of this problem, but any qla2400 
and up needs to be handled by the qla2400 kernel module, after 
installation i found a line:

alias scsi_hostadapter qla2322 

in my /etc/modprobe.conf but is not correct and should be fixed.

Comment 3 Dave Wysochanski 2007-02-23 11:30:16 EST
I think this is a dup of other bz's and fixed in an errata:
http://rhn.redhat.com/errata/RHBA-2006-0681.html

*** This bug has been marked as a duplicate of 202267 ***

Note You need to log in before you can comment on or make changes to this bug.